[package]
name = "cuddle-ci"
version.workspace = true
edition.workspace = true
license.workspace = true
authors.workspace = true
readme.workspace = true
repository.workspace = true

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
dagger-rust.workspace = true
dagger-cuddle-please.workspace = true

dagger-sdk.workspace = true
eyre.workspace = true
clap.workspace = true
async-trait.workspace = true
futures.workspace = true
tokio.workspace = true
serde_json.workspace = true
serde_yaml.workspace = true
serde.workspace = true
tracing = {version = "0.1.40", features = ["log"]}
chrono = {version = "0.4.37"}
toml = "0.8.12"

[dev-dependencies]
pretty_assertions = "1.4.0"
tokio.workspace = true

[features]
default = []
dagger = []
integration = []
